import json
PROPERTIES_MANIFEST = json.loads(json.dumps({'convergence_ionic': {'defaults': {'units': 'eV'}, 'schemaId': 'properties-directory/workflow/convergence/ionic', 'isMonitor': True}, 'convergence_electronic': {'defaults': {'units': 'eV'}, 'schemaId': 'properties-directory/workflow/convergence/electronic', 'isMonitor': True}, 'pressure': {'defaults': {'units': 'kbar'}, 'schemaId': 'properties-directory/scalar/pressure', 'isResult': True}, 'total_energy': {'defaults': {'units': 'eV'}, 'schemaId': 'properties-directory/scalar/total-energy', 'isResult': True}, 'surface_energy': {'defaults': {'units': 'eV/A^2'}, 'schemaId': 'properties-directory/scalar/surface-energy', 'isResult': True}, 'fermi_energy': {'defaults': {'units': 'eV'}, 'schemaId': 'properties-directory/scalar/fermi-energy', 'isResult': True}, 'total_force': {'defaults': {'units': 'eV/angstrom'}, 'schemaId': 'properties-directory/scalar/total-force', 'isResult': True}, 'zero_point_energy': {'defaults': {'units': 'eV'}, 'schemaId': 'properties-directory/scalar/zero-point-energy', 'isResult': True}, 'reaction_energy_barrier': {'defaults': {'units': 'eV'}, 'schemaId': 'properties-directory/scalar/reaction-energy-barrier', 'isResult': True}, 'electron_affinity': {'defaults': {'units': 'eV'}, 'schemaId': 'properties-directory/scalar/electron-affinity', 'isResult': True}, 'ionization_potential': {'defaults': {'units': 'eV'}, 'schemaId': 'properties-directory/scalar/ionization-potential', 'isResult': True}, 'valence_band_offset': {'defaults': {'units': 'eV'}, 'schemaId': 'properties-directory/scalar/valence-band-offset'}, 'phonon_dos': {'defaults': {'xAxis': {'label': 'frequency', 'units': 'cm-1'}, 'yAxis': {'label': 'Phonon DOS', 'units': 'states/cm-1'}}, 'schemaId': 'properties-directory/non-scalar/phonon-dos', 'isResult': True}, 'phonon_dispersions': {'defaults': {'xAxis': {'label': 'qpoints', 'units': 'crystal'}, 'yAxis': {'label': 'frequency', 'units': 'cm-1'}}, 'schemaId': 'properties-directory/non-scalar/phonon-dispersions', 'isResult': True}, 'total_energy_contributions': {'defaults': {'units': 'eV'}, 'schemaId': 'properties-directory/non-scalar/total-energy-contributions', 'isResult': True}, 'band_gaps': {'types': ['direct', 'indirect'], 'defaults': {'units': 'eV'}, 'schemaId': 'properties-directory/non-scalar/band-gaps', 'isResult': True}, 'stress_tensor': {'defaults': {'units': 'kbar'}, 'schemaId': 'properties-directory/non-scalar/stress-tensor', 'isResult': True}, 'band_structure': {'defaults': {'xAxis': {'label': 'kpoints', 'units': 'crystal'}, 'yAxis': {'label': 'energy', 'units': 'eV'}}, 'schemaId': 'properties-directory/non-scalar/band-structure', 'isResult': True}, 'density_of_states': {'defaults': {'xAxis': {'label': 'energy', 'units': 'eV'}, 'yAxis': {'label': 'density of states', 'units': 'states/unitcell'}}, 'schemaId': 'properties-directory/non-scalar/density-of-states', 'isResult': True}, 'reaction_energy_profile': {'defaults': {'xAxis': {'label': 'reaction coordinate'}, 'yAxis': {'label': 'energy', 'units': 'eV'}}, 'schemaId': 'properties-directory/non-scalar/reaction-energy-profile', 'isResult': True}, 'potential_profile': {'defaults': {'xAxis': {'label': 'z coordinate'}, 'yAxis': {'label': 'energy', 'units': 'eV'}}, 'schemaId': 'properties-directory/non-scalar/potential-profile', 'isResult': True}, 'charge_density_profile': {'defaults': {'xAxis': {'label': 'z coordinate'}, 'yAxis': {'label': 'charge density', 'units': 'e/A'}}, 'schemaId': 'properties-directory/non-scalar/charge-density-profile', 'isResult': True}, 'vibrational_spectrum': {'defaults': {'xAxis': {'label': 'wavenumber', 'units': 'cm-1'}, 'yAxis': {'label': 'Absorption coefficient', 'units': 'km/mol'}}, 'schemaId': 'properties-directory/non-scalar/vibrational-spectrum', 'isResult': True}, 'file_content': {'schemaId': 'properties-directory/non-scalar/file-content', 'isResult': True}, 'average_potential_profile': {'defaults': {'xAxis': {'label': 'z coordinate', 'units': 'angstrom'}, 'yAxis': {'label': 'energy', 'units': 'eV'}}, 'schemaId': 'properties-directory/non-scalar/average-potential-profile', 'isResult': True}, 'dielectric_tensor': {'schemaId': 'properties-directory/non-scalar/dielectric-tensor', 'isResult': True}, 'basis': {'defaults': {'units': 'angstrom'}, 'schemaId': 'properties-directory/structural/basis'}, 'lattice': {'defaults': {'units': 'angstrom'}, 'schemaId': 'properties-directory/structural/lattice'}, 'atomic_forces': {'defaults': {'units': 'eV/angstrom'}, 'schemaId': 'properties-directory/structural/atomic-forces', 'isResult': True}, 'atomic_constraints': {'schemaId': 'properties-directory/structural/basis/atomic-constraints'}, 'p-norm': {'schemaId': 'properties-directory/structural/p-norm'}, 'volume': {'defaults': {'units': 'angstrom^3'}, 'schemaId': 'properties-directory/structural/volume'}, 'symmetry': {'defaults': {'units': 'angstrom'}, 'schemaId': 'properties-directory/structural/symmetry'}, 'elemental_ratio': {'schemaId': 'properties-directory/structural/elemental-ratio'}, 'density': {'defaults': {'units': 'g/cm^3'}, 'schemaId': 'properties-directory/structural/density'}, 'magnetic_moments': {'defaults': {'units': 'uB'}, 'schemaId': 'properties-directory/structural/magnetic-moments', 'isResult': True}, 'bonds': {'defaults': {'units': 'angstrom'}, 'schemaId': 'properties-directory/structural/basis/bonds'}, 'inchi': {'schemaId': 'properties-directory/structural/inchi'}, 'inchi_key': {'schemaId': 'properties-directory/structural/inchi-key'}, 'material': {'schemaId': 'material'}, 'hubbard_u': {'defaults': {'units': 'eV'}, 'schemaId': 'properties-directory/non-scalar/hubbard-u', 'isResult': True}, 'hubbard_v': {'defaults': {'units': 'eV'}, 'schemaId': 'properties-directory/non-scalar/hubbard-v', 'isResult': True}, 'hubbard_v_nn': {'defaults': {'units': 'eV'}, 'schemaId': 'properties-directory/non-scalar/hubbard-v-nn', 'isResult': True}}))
RESULTS = json.loads(json.dumps(['pressure', 'total_energy', 'surface_energy', 'fermi_energy', 'total_force', 'zero_point_energy', 'reaction_energy_barrier', 'electron_affinity', 'ionization_potential', 'phonon_dos', 'phonon_dispersions', 'total_energy_contributions', 'band_gaps', 'stress_tensor', 'band_structure', 'density_of_states', 'reaction_energy_profile', 'potential_profile', 'charge_density_profile', 'vibrational_spectrum', 'file_content', 'average_potential_profile', 'dielectric_tensor', 'atomic_forces', 'magnetic_moments', 'hubbard_u', 'hubbard_v', 'hubbard_v_nn']))
